Skip to main content
GET
/
api
/
v1
/
sub-organizations
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/sub-organizations \
  --header 'Authorization: Bearer <token>'
{
  "organizations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "parentOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Query Parameters

limit
number
default:25

The number of sub organizations to return.

Required range: 1 <= x <= 1000
offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th sub organization.

Required range: x >= 0
isAccessible
enum<string>

Filter to only return sub organizations that the actor has access to.

Available options:
true,
false

Response

Default Response

organizations
object[]
required